<?php

/*
+---------------------------------------------------------------------------+
| Max Media Manager v0.3                                                    |
| =================                                                         |
|                                                                           |
| Copyright (c) 2003-2005 m3 Media Services Limited                         |
| For contact details, see: http://www.m3.net/                              |
|                                                                           |
| Copyright (c) 2000-2003 the phpAdsNew developers                          |
| For contact details, see: http://www.phpadsnew.com/                       |
|                                                                           |
| This program is free software; you can redistribute it and/or modify      |
| it under the terms of the GNU General Public License as published by      |
| the Free Software Foundation; either version 2 of the License, or         |
| (at your option) any later version.                                       |
|                                                                           |
| This program is distributed in the hope that it will be useful,           |
| but WITHOUT ANY WARRANTY; without even the implied warranty of            |
| MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             |
| GNU General Public License for more details.                              |
|                                                                           |
| You should have received a copy of the GNU General Public License         |
| along with this program; if not, write to the Free Software               |
| Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA |
+---------------------------------------------------------------------------+
$Id: channels.php 3616 2005-09-01 16:52:43Z radek $
*/

// Require the initialisation file
require_once '../../init.php';

// Required files
require_once MAX_PATH . '/www/admin/config.php';
require_once MAX_PATH . '/www/admin/lib-statistics.inc.php';

// Register input variables
phpAds_registerGlobal ('listorder', 'orderdirection', 'agencyid', 'affiliateid');


// Security check

phpAds_checkAccess(phpAds_Admin + phpAds_Agency);

if(!empty($affiliateid)) {
	phpAds_PageHeader("4.2.5");
	echo "<img src='images/icon-affiliate.gif' align='absmiddle'>&nbsp;<b>".phpAds_getAffiliateName($affiliateid)."</b><br /><br /><br />";
	phpAds_ShowSections(array("4.2.2", "4.2.3", "4.2.5", "4.2.4"));
	if (phpAds_isUser(phpAds_Admin)) {
        // get an agency id linked to the publisher
        $query = 'SELECT agencyid FROM '.$conf['table']['prefix'].$conf['table']['affiliates'].' WHERE affiliateid = '.$affiliateid;
        $res = phpAds_dbQuery($query) or phpAds_sqlDie();
        $result = phpAds_dbFetchArray($res);
        $agencyid = $result['agencyid'];
    }
} else {
	phpAds_PageHeader("5.5.3");
	if (phpAds_isUser(phpAds_Admin)) {
		echo "<img src='images/icon-advertiser.gif' align='absmiddle'>&nbsp;<b>".phpAds_getAgencyName($agencyid)."</b><br /><br /><br />";
		phpAds_ShowSections(array("5.5.2", "5.5.3"));
	} else {
		phpAds_ShowSections(array("5.1", "5.5.3"));
	}
}

/*-------------------------------------------------------*/
/* Get preferences                                       */
/*-------------------------------------------------------*/

if (!isset($listorder))
{
	if (isset($session['prefs']['channels.php']['listorder']))
		$listorder = $session['prefs']['channels.php']['listorder'];
	else
		$listorder = '';
}

if (!isset($orderdirection))
{
	if (isset($session['prefs']['channels.php']['orderdirection']))
		$orderdirection = $session['prefs']['channels.php']['orderdirection'];
	else
		$orderdirection = '';
}



/*-------------------------------------------------------*/
/* HTML framework                                        */
/*-------------------------------------------------------*/

if (isset($session['prefs']['channels.php']['listorder']))
	$navorder = $session['prefs']['channels.php']['listorder'];
else
	$navorder = '';

if (isset($session['prefs']['channels.php']['orderdirection']))
	$navdirection = $session['prefs']['channels.php']['orderdirection'];
else
	$navdirection = '';


/*-------------------------------------------------------*/
/* Main code                                             */
/*-------------------------------------------------------*/

// Get clients & campaign and build the tree

if(empty($affiliateid)) {
	$affiliateid = 0;
}
$res_channels = phpAds_dbQuery("
		SELECT 
			*
		FROM 
			".$conf['table']['prefix'].$conf['table']['channel']."
		WHERE
			agencyid = ".$agencyid."
			AND affiliateid = ".$affiliateid."
		".phpAds_getChannelListOrder ($listorder, $orderdirection)."
		") or phpAds_sqlDie();




echo "<img src='images/icon-zone-new.gif' border='0' align='absmiddle'>&nbsp;";
echo "<a href='channel-edit.php?agencyid=$agencyid&affiliateid=$affiliateid' accesskey='".$keyAddNew."'>".$strAddNewChannel_Key."</a>&nbsp;&nbsp;";
phpAds_ShowBreak();

echo "<br /><br />";
echo "<table border='0' width='100%' cellpadding='0' cellspacing='0'>";	


echo "<tr height='25'>";
echo '<td height="25"><b>&nbsp;&nbsp;<a href="channels.php?agencyid='.$agencyid.'&listorder=name&affiliateid='.$affiliateid.'">'.$GLOBALS['strName'].'</a>';

if (($listorder == "name") || ($listorder == ""))
{
	if  (($orderdirection == "") || ($orderdirection == "down"))
	{
		echo ' <a href="channels.php?agencyid='.$agencyid.'&orderdirection=up">';
		echo '<img src="images/caret-ds.gif" border="0" alt="" title="">';
	}
	else
	{
		echo ' <a href="channels.php?agencyid='.$agencyid.'&orderdirection=down">';
		echo '<img src="images/caret-u.gif" border="0" alt="" title="">';
	}
	echo '</a>';
}

echo '</b></td>';
echo '<td height="25"><b><a href="channels.php?agencyid='.$agencyid.'&listorder=id&affiliateid='.$affiliateid.'">'.$GLOBALS['strID'].'</a>';

if ($listorder == "id")
{
	if  (($orderdirection == "") || ($orderdirection == "down"))
	{
		echo ' <a href="channels.php?agencyid='.$agencyid.'&orderdirection=up">';
		echo '<img src="images/caret-ds.gif" border="0" alt="" title="">';
	}
	else
	{
		echo ' <a href="channels.php?agencyid='.$agencyid.'&orderdirection=down">';
		echo '<img src="images/caret-u.gif" border="0" alt="" title="">';
	}
	echo '</a>';
}

echo '</b>&nbsp;&nbsp;&nbsp;</td>';
echo '<td height="25"></td>';
echo "<td height='25'>&nbsp;</td>";
echo "</tr>";

echo "<tr height='1'><td colspan='4' bgcolor='#888888'><img src='images/break.gif' height='1' width='100%'></td></tr>";


if (phpAds_dbNumRows($res_channels) == 0)
{
	echo "<tr height='25' bgcolor='#F6F6F6'><td height='25' colspan='4'>";
	echo "&nbsp;&nbsp;".$strNoZones;
	echo "</td></tr>";
	
	echo "<td colspan='4' bgcolor='#888888'><img src='images/break.gif' height='1' width='100%'></td>";
}

$i=0;
while ($row_channels = phpAds_dbFetchArray($res_channels))
{
	if ($i > 0) echo "<td colspan='4' bgcolor='#888888'><img src='images/break.gif' height='1' width='100%'></td>";
	echo "<tr height='25' ".($i%2==0?"bgcolor='#F6F6F6'":"").">";
	
	echo "<td height='25'>&nbsp;&nbsp;";
	
	echo "<a href='channel-edit.php?agencyid=".$agencyid."&amp;channelid=".$row_channels['channelid']."&affiliateid=$affiliateid'>".$row_channels['channel_name']."</a>";
	
	echo "&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;";
	echo "</td>";
	
	// ID
	echo "<td height='25'>".$row_channels['channelid']."</td>";
	
	echo "<td height='25'></td>";
	echo "<td>&nbsp;</td>";
	echo "</tr>";
	
	// Description
	echo "<tr height='25' ".($i%2==0?"bgcolor='#F6F6F6'":"").">";
	echo "<td>&nbsp;</td>";
	echo "<td height='25' colspan='3'>".stripslashes($row_channels['description'])."</td>";
	echo "</tr>";
	
	echo "<tr height='1'>";
	echo "<td ".($i%2==0?"bgcolor='#F6F6F6'":"")."><img src='images/spacer.gif' width='1' height='1'></td>";
	echo "<td colspan='3' bgcolor='#888888'><img src='images/break-l.gif' height='1' width='100%'></td>";
	echo "</tr>";
	echo "<tr height='25' ".($i%2==0?"bgcolor='#F6F6F6'":"").">";
	
	// Empty
	echo "<td>&nbsp;</td>";
	
	// Button 1, 2 & 3
	echo "<td height='25' colspan='3'>";
	echo "<a href='channel-acl.php?agencyid=".$agencyid."&channelid=".$row_channels['channelid']."&affiliateid=$affiliateid'><img src='images/icon-acl.gif' border='0' align='absmiddle' alt='$strIncludedBanners'>&nbsp;$strEditChannelLimitations</a>&nbsp;&nbsp;&nbsp;&nbsp;";
	echo "<a href='channel-delete.php?agencyid=".$agencyid."&channelid=".$row_channels['channelid']."&affiliateid=$affiliateid&returnurl=channels.php'".phpAds_DelConfirm($strConfirmDeleteChannel)."><img src='images/icon-recycle.gif' border='0' align='absmiddle' alt='$strDelete'>&nbsp;$strDelete</a>&nbsp;&nbsp;&nbsp;&nbsp;";
	echo "</td></tr>";
	
	$i++;
}

if (phpAds_dbNumRows($res_channels) > 0)
{
	echo "<tr height='1'><td colspan='4' bgcolor='#888888'><img src='images/break.gif' height='1' width='100%'></td></tr>";
}

echo "</table>";
echo "<br /><br />";



/*-------------------------------------------------------*/
/* Store preferences                                     */
/*-------------------------------------------------------*/

$session['prefs']['channels.php']['listorder'] = $listorder;
$session['prefs']['channels.php']['orderdirection'] = $orderdirection;

phpAds_SessionDataStore();



/*-------------------------------------------------------*/
/* HTML framework                                        */
/*-------------------------------------------------------*/

phpAds_PageFooter();

?>
